ContentSearch API PROD

ListMigustoTagsPreview lists available Tags for Migusto Articles.

get
https://api.migros.ch/migros/contentsearch/v1/preview/migusto/articles/tags

Query Parameters

languagestring

Specifies in which language tag titles should be returned. Defaults to
German.

Allowed values:DEFRITEN

Default:DE

categoryFilterarray[string]

Optional. Filter the Tags by category.

Response

application/json

A successful response.

tagsarray[object]

Total number of tags for this request, not taking page_size into
account.

Show Child Parameters
get/migros/contentsearch/v1/preview/migusto/articles/tags
 
application/json

ListNewsTeaserPreview returns news items from production and those that are not published yet.

get
https://api.migros.ch/migros/contentsearch/v1/preview/news

Query Parameters

contentfulAppIdstringrequired

Required. The contentful app ID to list news for, e.g. corporate.migros.ch
test-corporate.migros.ch.

languagestring

Optional. If set, only news matching this language will be returned. By
default, german news are returned.

Allowed values:DEFRITEN

Default:DE

newsTagIdsarray[string]

Optional. Multiple news tags to include in the response. The order of the tags is irrelevant.

regionTagIdsarray[string]

Optional. Multiple localities for which news items should be included in the response. The order of these values is irrelevant.

mustNotTopicTagIdsarray[string]

Optional. Multiple topic tags to exclude from the response. The order of these values is irrelevant. These values are tag IDs.

publishedAtOrAfterstring(date-time)

Optional, inclusive. If specified, the ‘published’ timestamp of any
news returned will have to be the same or after this timestamp.
The format must be ‘YYYY-MM-DDTHH:mm:ssZ’, e.g.: ‘2025-08-21T11:54:34Z’.

publishedUntilstring(date-time)

Optional, exclusive. If specified, the ‘published’ timestamp of any
news returned will have to be strictly before this timestamp.
The format must be ‘YYYY-MM-DDTHH:mm:ssZ’, e.g.: ‘2025-08-21T11:54:34Z’.

pageSizestring(int64)

Optional. The maximum number of news items to return in the response.

nextPageFromstring(int64)

Optional. An offset into the elasticsearch response from where news should
be returned, e.g. 6

sortByarray[string]

Optional. Multiple sort parameters to determine the order of the results. Example: [‘releaseDate:desc’, ‘_score:desc’]. Valid fields are releaseDate and _score. Each entry specifies a field and its sort direction (asc/desc).

Response

application/json

A successful response.

newsarray[object]

News currently represents a “Medienmitteilung” or a “Warenrueckruf”.

Show Child Parameters
totalHitsstring(int64)

Total number of news items for this request, not taking page_size into
account.

get/migros/contentsearch/v1/preview/news
 
application/json

NewsPreview returns detailed information about a single news item identified by its slug or its ID.

get
https://api.migros.ch/migros/contentsearch/v1/preview/news/{slugOrId}

Query Parameters

languagestring

Optional. Specifies the language in which the news article should be
returned. If not provided, the default language is German.

Allowed values:DEFRITEN

Default:DE

Path Parameters

slugOrIdstringrequired

Required. Path parameter for the news item.
Represents either the slug or the ID of the news item. Only one value
should be provided.

Response

application/json

A successful response.

newsobject

Optional. The news item matching the requested criteria.

Show Child Parameters
get/migros/contentsearch/v1/preview/news/{slugOrId}
 
application/json

ListStoriesPreview returns stories from production and those that are not published yet.

get
https://api.migros.ch/migros/contentsearch/v1/preview/stories

Query Parameters

contentfulAppIdstringrequired

Required. The contentful app ID to list news for, e.g. corporate.migros.ch
test-corporate.migros.ch.
This is needed in the backend so we can identify which news tags (e.g.
Warenrückruf und Medienmitteilungen) apply; articles with those news
tags are then excluded from the response.

languagestring

Optional. If set, only stories matching this language will be returned. By
default, german stories are returned.

Allowed values:DEFRITEN

Default:DE

topicTagIdsarray[string]

The service does not verify/validate that the passed tag IDs are indeed
topic tags or category tags.

Optional. If empty, stories matching any topic tags are returned. If at
least one topic tag is given, each returned story must have at least one
of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

categoryTagIdsarray[string]

Optional. If empty, stories of any category (e.g. “Interview”, “Podcast”)
will be returned. If at least one category tag is given, each returned
story must have at least one of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

mustNotTagIdsarray[string]

Optional. Specifies disallowed category tags (e.g., ‘Interview’, ‘Podcast’). Tags matching any tag in this set will not be returned in the response. Tag ordering within this list does not matter. Duplicates are ignored.

pageSizestring(int64)

Optional. The maximum number of stories to return in the response.

nextPageFromstring(int64)

Optional. A pagination token returned from a previous call to ListStories
that indicates where this listing should continue from.

sortByarray[string]

Optional. Multiple sort parameters to determine the order of the results. Example: [‘releaseDate:desc’, ‘_score:desc’]. Valid Fields are releaseDate and _score. Each entry specifies a field and its sort direction (asc/desc).

Response

application/json

A successful response.

storiesarray[object]

Story represents a story published to Migros corporate websites.

Show Child Parameters
totalHitsstring(int64)

Total number of stories for this request, not taking page_size into
account.

get/migros/contentsearch/v1/preview/stories
 
application/json

Refresh triggers an update of the cached "news" and "category" tag definitions. The latest tags are fetched from Contentful, and the existing cache is overwritten.

post
https://api.migros.ch/migros/contentsearch/v1/refresh

Response

application/json

A successful response.

infostring

Provides information about the result of the refresh operation.

post/migros/contentsearch/v1/refresh
 
application/json